import './index.css';
import './common/iconfont/iconfont.css';
declare type TLoginConfig = {
    env?: 'test' | 'production';
    allowRegister?: boolean;
    allowOnekey: boolean;
};
declare type TLoginCallback = (e: {
    result: 'success' | 'fail' | 'cancel';
    message: string;
    session: string;
}) => void;
declare class loginComponent {
    private rootId;
    openLogin: (config: TLoginConfig, cb: TLoginCallback) => void;
    closeLogin: () => void;
}
export { default as Login } from './Login';
declare const _default: loginComponent;
export default _default;
